PrefabFiles = {
	"jun",
	"jun_none",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/jun.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/jun.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/jun.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/jun.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/jun_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/jun_silho.xml" ),

    Asset( "IMAGE", "bigportraits/jun.tex" ),
    Asset( "ATLAS", "bigportraits/jun.xml" ),
	
	Asset( "IMAGE", "images/map_icons/jun.tex" ),
	Asset( "ATLAS", "images/map_icons/jun.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_jun.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_jun.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_jun.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_jun.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_jun.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_jun.xml" ),
	
	Asset( "IMAGE", "images/names_jun.tex" ),
    Asset( "ATLAS", "images/names_jun.xml" ),
	
    Asset( "IMAGE", "bigportraits/jun_none.tex" ),
    Asset( "ATLAS", "bigportraits/jun_none.xml" ),

	Asset("SOUNDPACKAGE","sound/jun.fev"),
	Asset("SOUND","sound/jun.fsb"),
}

RemapSoundEvent( "dontstarve/characters/jun","jun/jun" )
RemapSoundEvent( "dontstarve/characters/jun/talk_LP","jun/jun/talk_LP" )
RemapSoundEvent( "dontstarve/characters/jun/ghost_LP", "jun/jun/ghost_LP" )
RemapSoundEvent( "dontstarve/characters/jun/hurt", "jun/jun/hurt" )
RemapSoundEvent( "dontstarve/characters/jun/death_voice","jun/jun/death_voice" )
RemapSoundEvent( "dontstarve/characters/jun/emote","jun/jun/emote" )
RemapSoundEvent( "dontstarve/characters/jun/pose","jun/jun/pose" )
RemapSoundEvent( "dontstarve/characters/jun/yawn","jun/jun/yawn" )

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.jun = "The Paternal"
STRINGS.CHARACTER_NAMES.jun = "Jun"
STRINGS.CHARACTER_DESCRIPTIONS.jun = "*Lover, not a fighter.\n*Has a fondness for mandrakes.\n*"
STRINGS.CHARACTER_QUOTES.jun = "\"I'm always here to help.\""

-- Custom speech strings
STRINGS.CHARACTERS.JUN = require "speech_jun"

-- The character's name as appears in-game 
STRINGS.NAMES.JUN = "Esc"

AddMinimapAtlas("images/map_icons/jun.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("jun", "MALE")

